package net.davidc.egp.snaxe;

import org.newdawn.slick.Color;

/**
 * @author David Croft (david@davidc.net)
 * @version $Id$
 */
public class Snake
{
  SnakePart head;
  SnakePart tail;
  int length;
  int grow; // number of pieces to grow when we move
  Direction facing;
  Color color;
  boolean dead;
  int score;
  public int invulnerabilityTimeRemaining;
  public int speedMovesRemaining;

  public Snake(int x, int y, Direction facing)
  {
    head = tail = new SnakePart(this, x, y);
    this.facing = facing;
    length = 1;
    grow = 1;
  }

  public void setFacing(Direction facing) {
    // Check it's not the direction we just came from
    if (head.nextPieceDir == facing) {
//      throw new RuntimeException("Attempt to send snake back the way it came");
      System.err.println("Snake can't go back the way it game");
      return;
    }
    this.facing = facing;
  }

  public void move()
  {
    int newX = head.x;
    int newY = head.y;
    switch (facing) {
      case NORTH:
        newY--;
        break;
      case EAST:
        newX++;
        break;
      case SOUTH:
        newY++;
        break;
      case WEST:
        newX--;
        break;
    }

    SnakePart newPart = new SnakePart(this, newX, newY);
    newPart.next = head;
    newPart.nextPieceDir = facing.opposite();
    head.previous = newPart;
    head.prevPieceDir = facing;
    head = newPart;

    // If we're not growing, we need to kill the tail

    if (grow > 0) {
      grow--;
    }
    else {
      tail.previous.nextPieceDir = null;
      tail.previous.next = null;
      tail = tail.previous;

      //remove tail
    }
  }
}
