package net.davidc.egp.snaxe;

import java.io.IOException;

import net.davidc.egp.snaxe.networking.UndecimalScreenClient;

/**
 * @author David Croft (david@davidc.net)
 * @version $Id: UndecimalPlayer.java 10 2011-09-14 16:18:27Z david $
 */
public class UndecimalPlayer extends Player
{
  private final UndecimalScreenClient undecimalClient;
  private int playerId;

  public UndecimalPlayer(UndecimalScreenClient undecimalClient, int playerId)
  {
    this.undecimalClient = undecimalClient;
    this.playerId = playerId;
  }

  public int getPlayerId()
  {
    return playerId;
  }

  @Override
  public void sendMessage(String message) throws IOException
  {
    undecimalClient.sendMessage(playerId, message);
  }

  @Override
  public String toString()
  {
    return "UndecimalPlayer{" +
            "undecimalClient=" + undecimalClient +
            ", playerId=" + playerId +
            "} " + super.toString();
  }
}
