package net.davidc.egp.snaxe.board;

import net.davidc.egp.snaxe.Direction;

/**
 * @author David Croft (david@davidc.net)
 * @version $Id: SnakePart.java 26 2011-09-18 16:24:33Z david $
 */
public class SnakePart
{
  protected  Snake snake;
  protected  int x;
  protected  int y;
  protected  SnakePart previous;
  protected  SnakePart next;
  protected  Direction prevPieceDir = null;
  protected  Direction nextPieceDir = null;

  public SnakePart(Snake snake, int x, int y)
  {
    this.snake = snake;
    this.x = x;
    this.y = y;
  }

  public int getX()
  {
    return x;
  }

  public int getY()
  {
    return y;
  }

  public SnakePart getPrevious()
  {
    return previous;
  }

  public void setPrevious(SnakePart previous)
  {
    this.previous = previous;
  }

  public SnakePart getNext()
  {
    return next;
  }

  public void setNext(SnakePart next)
  {
    this.next = next;
  }

  public Direction getPrevPieceDir()
  {
    return prevPieceDir;
  }

  public void setPrevPieceDir(Direction prevPieceDir)
  {
    this.prevPieceDir = prevPieceDir;
  }

  public Direction getNextPieceDir()
  {
    return nextPieceDir;
  }

  public void setNextPieceDir(Direction nextPieceDir)
  {
    this.nextPieceDir = nextPieceDir;
  }

  @Override
  public String toString()
  {
    return "SnakePart{" +
            "snake=" + snake +
            ", previous=" + previous +
            ", next=" + next +
            ", x=" + x +
            ", y=" + y +
            ", prevPieceDir=" + prevPieceDir +
            ", nextPieceDir=" + nextPieceDir +
            '}';
  }
}
