package net.davidc.egp.snaxe.events;

import net.davidc.egp.common.events.Event;
import net.davidc.egp.snaxe.PlayState;
import net.davidc.egp.snaxe.SnaxeGame;

/**
 * @author David Croft (david@davidc.net)
 * @version $Id: ChangeSlickStateEvent.java 12 2011-09-15 21:51:10Z david $
 */
public class ChangeSlickStateEvent extends Event<Long,PlayState>
{
  private final SnaxeGame game;
  private final int stateId;

  public ChangeSlickStateEvent(Long eventTime, SnaxeGame game, int stateId)
  {
    super(eventTime);

    this.game = game;
    this.stateId = stateId;
  }

  @Override
  public void performEvent(PlayState handle)
  {
    game.enterState(stateId);
  }
}
