package net.davidc.egp.snaxe.events;

import net.davidc.egp.common.events.Event;
import net.davidc.egp.snaxe.states.PlayState;

/**
 * An event that changes the PlayState's SubState to PLAY.
 *
 * @author David Croft (david@davidc.net)
 * @version $Id: StartGameEvent.java 25 2011-09-18 15:41:54Z david $
 */
public class StartGameEvent extends Event<Long, PlayState>
{
  public StartGameEvent(Long eventTime)
  {
    super(eventTime);
  }

  @Override
  public void performEvent(PlayState handle)
  {
    handle.changeSubState(PlayState.SubState.PLAY);
  }
}
